import { RepoAspect } from "./rest-aspect";
import { Observable } from "rxjs";
import { QueryResult } from "../result";
export interface InterceptedRepoAspect<K, V, F> extends RepoAspect<K, V, F> {
    beforeLoad(key: K): Observable<K>;
    beforeRead(filter: F): Observable<F>;
    beforeWrite(entity: V): Observable<V>;
    beforeDelete(key: K): Observable<K>;
    afterLoad(entity: V): Observable<V>;
    afterRead(entity: V): Observable<V>;
    afterQuery(result: QueryResult<V>): Observable<QueryResult<V>>;
    afterWrite(entity: V): Observable<V>;
    afterDelete(entity: V): Observable<V>;
}
