import { AccessRights, AccessRightsFilter, Accessible } from './access';
import { Change, ChangeFilter, Changed, Created } from './change';
import { CustomField, Customized } from './custom';
import { EntityFilter } from './entity';
import { Info, Versioned } from './info';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.file.FileInfo <br/>
*/
export interface FileInfo extends Accessible, Changed, Created, Customized, Versioned {
    accessRights?: AccessRights;
    author?: Info;
    change?: Change;
    created?: Change;
    customFields?: CustomField[];
    duration?: number;
    fileContent?: number[];
    fileId?: string;
    fileName?: string;
    fileSize?: number;
    info?: Info;
    language?: string;
    mime?: string;
    parentId?: string;
    tags?: string[];
    type?: FileType;
    version?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.file.FileInfoFilter <br/>
*/
export interface FileInfoFilter extends EntityFilter {
    accessFilter?: AccessRightsFilter;
    created?: ChangeFilter;
    customFieldAndFilters?: CustomField[];
    customFieldOrFilters?: CustomField[];
    fileId?: string;
    fileIds?: string[];
    fileName?: string;
    languages?: string[];
    parentId?: string;
    tag?: string;
    type?: FileType;
    version?: number;
    withAllTags?: string[];
    withAnyTag?: string[];
}
export declare enum FileType {
    FILE = "FILE",
    DIRECTORY = "DIRECTORY"
}
