import { Change, Changed, Created } from './change';
import { TableFilter } from './filter';
import { Info } from './info';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.Address <br/>
*/
export interface Address {
    addressId?: string;
    city?: string;
    countryCode?: string;
    geoLocation?: GeoLocation;
    houseNumber?: string;
    region?: string;
    state?: string;
    street?: string;
    /**
    *	@example main
    */
    type?: string;
    zipCode?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.AddressFilter <br/>
*/
export interface AddressFilter extends TableFilter {
    addressId?: string;
    city?: string;
    houseNumber?: string;
    street?: string;
    zipCode?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.BankAccount <br/>
*/
export interface BankAccount {
    bic?: string;
    iban?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.GeoLocation <br/>
*/
export interface GeoLocation {
    altitude?: number;
    latitude?: number;
    longitude?: number;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.Person <br/>
*/
export interface Person extends Changed, Created {
    addresses?: Address[];
    change?: Change;
    companyName?: string;
    created?: Change;
    email?: string;
    firstName?: string;
    lang?: string;
    lastName?: string;
    mobile?: string;
    phoneNumber?: string;
    role?: string;
    salutation?: string;
    shortName?: string;
    title?: string;
    vatNumber?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.PersonFilter <br/>
*/
export interface PersonFilter {
    companyName?: string;
    email?: string;
    firstName?: string;
    lastName?: string;
    phoneNumber?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.domain.person.Region <br/>
*/
export interface Region extends Info {
    regionId?: string;
}
